Subject: Re: bug#5345: Password asked when visiting a file in a lightweight checkout

From: Lennart Borgman <[email-masked]>
Date: Sat, 9 Jan 2010 22:12:19 +0100

On Sat, Jan 9, 2010 at 10:04 PM, Juanma Barranquero <[email-masked]> wrote:
> On Sat, Jan 9, 2010 at 21:57, Lennart Borgman <[email-masked]> wrote:
>
>> We were discussing before if file://c:/some/where.txt also was
>> correct. We could not rule out the possibility that it was.
>
> I don't think it is. RFC 1378 allows file://host/path, and some other
> RFC (don't remember the #) apparently allows file:/path,

I am surprised, but I do not remember the details any more.

> but that
> wouldn't grok file://c:/my/path

... on un*x? ... ;-)

Maybe this is where the confusion comes from (but the spec seemed
unclear to me).

(though it could grok file://my/path,
> if the drive is omitted).
>
>> So please take care of this case too.
>
> It's already taken care of. Look at the patch.

Thanks.

>    Juanma